Actions

Mise à jour confort

From LimeSurvey Manual

This page is a translated version of the page ComfortUpdate and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Nederlands • ‎Tiếng Việt • ‎dansk • ‎español • ‎français • ‎italiano • ‎magyar • ‎polski • ‎português do Brasil • ‎română • ‎slovenščina • ‎български • ‎русский • ‎日本語

Général

ComfortUpdate est un service professionnel de LimeSurvey GmbH permettant de mettre à jour facilement LimeSurvey depuis votre navigateur Web en quelques clics de souris (au lieu d'avoir à effectuer une une mise à jour manuelle).

Pour utiliser et tester ComfortUpdate, vous devez vous inscrire sur LimeSurvey pour recevoir une clé d'essai gratuite. Une fois cette clé d'essai expirée, vous pouvez soit acheter l'un de nos packages premium, soit mettre à jour votre installation manuellement.


Template:Alerte

Exigences

Votre installation PHP doit être compilée avec le support de ZLib et avoir le .php Extension OpenSSL installée et activée. Vérifiez votre PHPInfo ou demandez une confirmation à votre administrateur système.

Votre serveur doit pouvoir se connecter par SSL à comfortupdate.limesurvey.org pour utiliser l'outil ComfortUpdate. Si vous rencontrez des problèmes et recevez des messages d'erreur tels que « 10060 n'a pas pu se connecter à l'hôte 'comfortupdate.limesurvey.org, vous devrez modifier/modifier les paramètres de sécurité de votre proxy/pare-feu ou demander des conseils supplémentaires à l'administrateur de votre serveur. /aide.

Utilisation de ComfortUpdate

La fonctionnalité LimeSurvey ComfortUpdate peut être utilisée en toute sécurité même avec des enquêtes actives. Il ne supprime ni ne détruit aucune donnée existante. Cependant, par précaution, vous devez sauvegarder manuellement votre base de données et vos fichiers actuels avant de continuer.

  • Localisez le bouton « Mise à jour » !N !**Pour les anciennes versions de LimeSurvey, accédez à l'icône Paramètres globaux, sélectionnez le premier onglet et cliquez sur le bouton « Mises à jour » 
    • Pour la récente Limesurvey versions, vous trouverez le bouton ComfortUpdate dans la boîte de dialogue Configuration, sous l'onglet Avancé :


ComfortUpdate.png


  • L'écran ComfortUpdate affichera un lien de mise à jour si une nouvelle version de LimeSurvey est disponible. Sinon, cliquez sur « Vérifier maintenant » pour voir si une nouvelle mise à jour est disponible
  • Si une mise à jour est trouvée, LimeSurvey affichera un lien pour vous permettre de mettre à jour. Cliquez ici pour commencer la mise à jour 
  • Si vous n'avez jamais utilisé ComfortUpdate auparavant ou si la clé de mise à niveau ComfortUpdate n'est pas valide, il vous sera demandé de saisir une clé de mise à niveau.


ComfortUpdateKey.png


  • LimeSurvey va maintenant vérifier votre répertoire d'installation pour vérifier que les autorisations appropriées sont définies pour autoriser une mise à jour. Une liste des modifications proposées s'affichera
  • S'il y a des problèmes, vous devez les corriger à ce stade puis passer à l'étape suivante
  • Le ComfortUpdate fera maintenant une sauvegarde de votre base de données (si vous utilisez MySQL) et enregistrez vos anciens fichiers d'installation dans le répertoire /tmp. Si vous utilisez une autre base de données, vous devez sauvegarder votre base de données manuellement avant de continuer ! N!ComfortUpdate mettra désormais à jour votre installation vers la dernière version, mettant également à jour la base de données afin de refléter les nouvelles modifications (possibles).

Désactivation de ComfortUpdate

Pour désactiver ComfortUpdate et éviter de recevoir des messages contextuels « Nouvelle version disponible » après chaque nouvelle version, vous pouvez ajouter l'option suivante à votre fichier "config.php" (qui se trouve dans /limesurvey/application /config):

 
'updatable' => faux

Cependant, nous vous recommandons fortement de ne pas désactiver cette option, car vous pourriez manquer des mises à jour de sécurité importantes.

Dépannage

J'obtiens une erreur lors de ComfortUpdate

Dans un premier temps, veuillez réessayer la même étape après une minute. Parfois, le serveur doit d'abord générer le package de mise à jour, ce qui peut prendre une minute. Si cela ne fonctionne toujours pas, vérifiez les autres solutions dans cette section de dépannage.

Aucune réponse du serveur - Le serveur ComfortUpdate ne répond pas

À partir de décembre 2022, la connexion par défaut à notre serveur mis à jour a été modifiée pour utiliser uniquement SSL. Cela nécessite que la bibliothèque PHP OpenSSL sur votre serveur soit correctement configurée et activé et que votre serveur est autorisé à se connecter par connexion HTTP SSL vers l'extérieur (à notre serveur confortupdate.limesurvey.org). Si l'une de ces conditions n'est pas remplie, vous recevrez ce message. A La solution de contournement temporaire (que nous ne recommandons pas) consiste à désactiver cette exigence dans le fichier /application/config/updater_version.php en définissant

 
$config['comfort_update_server_ssl'] = 0;

Page blanche à l'étape 3

Si vous obtenez une page blanche à l'étape 3, cela signifie généralement que la limite de mémoire de votre configuration PHP est trop basse. Au cours de cette étape, LimeSurvey essaie de créer une sauvegarde de base de données et une sauvegarde de fichiers (des fichiers qui seront remplacés).

Utilisation d'un serveur proxy pour se connecter à update.limesurvey.com

Si vous êtes derrière un proxy, vous devrez peut-être ajuster certains paramètres pour pouvoir utiliser ComfortUpdate. Vous pouvez définir les détails de votre serveur proxy dans le fichier de configuration (voir le wiki des paramètres généraux).